Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud Interconnect
    • Обзор сервиса
    • Обзор операций
    • Терминология
    • Точки присутствия
    • Трансиверы
    • Транковое подключение
    • Приватное соединение
    • Публичное соединение
    • Партнеры CIC
    • Мониторинг
    • Объемы данных и емкости подключений
    • Квоты и лимиты
  • Правила тарификации
  • Управление доступом
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • BatchGet
        • List
        • Update
        • Delete
        • ListPrivateConnections
        • ListPublicConnections
        • Move
        • ListOperations
  • История изменений

В этой статье:

  • gRPC request
  • ListTrunkConnectionPrivateConnectionsRequest
  • ListTrunkConnectionPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute
  1. Справочник API
  2. gRPC (англ.)
  3. TrunkConnection
  4. ListPrivateConnections

Cloud Interconnect API, gRPC: TrunkConnectionService.ListPrivateConnections

Статья создана
Yandex Cloud
Обновлена 29 мая 2026 г.
  • gRPC request
  • ListTrunkConnectionPrivateConnectionsRequest
  • ListTrunkConnectionPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute

Retrieves the list of PrivateConnection resources associated with the specified TrunkConnection.

gRPC requestgRPC request

rpc ListPrivateConnections (ListTrunkConnectionPrivateConnectionsRequest) returns (ListTrunkConnectionPrivateConnectionsResponse)

ListTrunkConnectionPrivateConnectionsRequestListTrunkConnectionPrivateConnectionsRequest

{
  "trunk_connection_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

trunk_connection_id

string

Required field. ID of the TrunkConnection resource.
To get the trunkConnection ID use a TrunkConnectionService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListTrunkConnectionPrivateConnectionsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListTrunkConnectionPrivateConnectionsResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 100.

filter

string

A filter expression that filters resources listed in the response.

The maximum string length in characters is 1000.

ListTrunkConnectionPrivateConnectionsResponseListTrunkConnectionPrivateConnectionsResponse

{
  "private_connections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folder_id": "string",
      "trunk_connection_id": "string",
      "vlan_id": "google.protobuf.Int64Value",
      "ipv4_peering": {
        "peering_subnet": "string",
        "peer_ip": "string",
        "cloud_ip": "string",
        "peer_bgp_asn": "int64",
        "cloud_bgp_asn": "int64",
        "peer_bgp_md5_key": "string"
      },
      "ipv4_static_routes": [
        {
          "prefix": "string"
        }
      ],
      "labels": "map<string, string>",
      "status": "Status",
      "created_at": "google.protobuf.Timestamp"
    }
  ],
  "next_page_token": "string"
}

Field

Description

private_connections[]

PrivateConnection

List of PrivateConnection resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListTrunkConnectionPrivateConnectionsRequest.page_size, use
the next_page_token as the value
for the ListTrunkConnectionPrivateConnectionsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

PrivateConnectionPrivateConnection

A PrivateConnection resource.

Field

Description

id

string

ID of the privateConnection.

name

string

Name of the privateConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Description of the privateConnection. 0-256 characters long.

folder_id

string

ID of the folder that the privateConnection belongs to.

trunk_connection_id

string

ID of the trunk_connection that the privateConnection belongs to.

vlan_id

google.protobuf.Int64Value

VLAN_ID that the privateConnection uses in multiplexing.
Not used in connections over partners-II
Value range: [1, 4095]

ipv4_peering

Peering

IPv4 peering config of connection

ipv4_static_routes[]

StaticRoute

IPv4 StaticRoute config of connection

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum Status

Status of the privateConnection.

  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

PeeringPeering

Field

Description

peering_subnet

string

PeeringSubnet.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

The maximum string length in characters is 50.

peer_ip

string

PeerIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

cloud_ip

string

CloudIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

peer_bgp_asn

int64

PeerBgpAsn.
PeerAsn excluding rfc5398 (excluding 64496 - 64511 and 65536 - 65551).

cloud_bgp_asn

int64

CloudBgpAsn.

peer_bgp_md5_key

string

PeerBgpMd5Key.
Optional.

The maximum string length in characters is 200.

StaticRouteStaticRoute

Field

Description

prefix

string

Prefix.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

Была ли статья полезна?

Предыдущая
Delete
Следующая
ListPublicConnections
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»